<!-- /********************************************************************************
* Copyright (c) 2020 Contributors to the Eclipse Foundation
*
* See the NOTICE file(s) distributed with this work for additional
* information regarding copyright ownership.
*
* This program and the accompanying materials are made available under the
* terms of the Eclipse Public License v. 2.0 which is available at
* http://www.eclipse.org/legal/epl-2.0.
*
* SPDX-License-Identifier: EPL-2.0
********************************************************************************/ -->
<div></div>
<div class="table-menu">
  <div class="table-menu-row table-menu-row-flow-right">
    <span>{{ 'DistributionGroupMember.Title' | translate }}</span>

    <input
      #searchInput
      type="text"
      size="50"
      maxlength="255"
      id="search-text"
      autocomplete="off"
      class="form-control"
      placeholder="{{ 'DistributionGroupMember.ContactSearch' | translate }}"
      [disabled]="sandbox.disableMemberButton"
      [ngbTypeahead]="sandbox.searchForContacts"
      [resultFormatter]="sandbox.formatter"
      [inputFormatter]="sandbox.formatter"
      (selectItem)="sandbox.setSelectedContact($event.item)"
    />
    <button type="button" class="btn btn-primary btn-sm" [disabled]="sandbox.disableMemberButton" (click)="sandbox.assignContactToGroup(); clearSearchInput()">
      {{ 'DistributionGroupMember.AssignToGroupBtn' | translate }}
    </button>
    <button type="button" class="btn btn-primary btn-sm" [disabled]="sandbox.disableMemberButton" (click)="sandbox.exportContacts()">
      {{ 'DistributionGroupMember.Export' | translate }}
    </button>
  </div>
</div>
<div class="distribution-group-members">
  <ag-grid-angular
    autoResizeColumns
    class="ag-theme-balham"
    [gridOptions]="gridOptions"
    [columnDefs]="columnDefinition"
    [rowSelection]="'single'"
    [components]="frameworkComponents"
    [rowData]="sandbox.distributionGroupMember$ | async"
    [overlayNoRowsTemplate]="noRowsTemplate"
    (gridReady)="onGridReady($event)"
  >
  </ag-grid-angular>
  <app-spinner [isRunning]="sandbox.distributionGroupMemberLoading$ | async"></app-spinner>
</div>
